package com.aucma.dms.domain;

import com.aucma.common.annotation.Excel;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 润滑工单明细对象 dms_bills_lube_detail
 *
 * @author xins
 * @date 2024-03-20
 */
public class DmsBillsLubeDetail extends DmsBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键标识 */
    private Long billsLubeDetailId;

    /** 润滑工单ID，关联润滑工单主键 */
    @Excel(name = "润滑工单ID，关联润滑工单主键")
    private Long lubeInstanceId;

    /** 设备ID，关联dms_base_device_ledger的device_id */
    @Excel(name = "设备ID，关联dms_base_device_ledger的device_id")
    private Long deviceId;

    /** 润滑部位,关联润滑部位主键 */
    @Excel(name = "润滑部位,关联润滑部位主键")
    private Long lubeStationId;

    /** 润滑标准ID，关联润滑标准主键 */
    @Excel(name = "润滑标准ID，关联润滑标准主键")
    private Long lubeStandardId;

    /** 操作描述 */
    @Excel(name = "操作描述")
    private String operationDescription;

    /** 保养状态：1-待保养；2-保养中；3-已完成 */
    @Excel(name = "保养状态：1-待保养；2-保养中；3-已完成")
    private Long maintStatus;

    /** 是否标识：1-是；2-否 */
    @Excel(name = "是否标识：1-是；2-否")
    private Long isFlag;

    private Date beginTime;

    private Date endTime;


    private String typeName;
    private String deviceCode;

    private String deviceName;

    private String lubeStationName;

    private String lubeProtocol;

    private String lubeOperationDescription;//润滑标准中的操作描述



    public void setBillsLubeDetailId(Long billsLubeDetailId)
    {
        this.billsLubeDetailId = billsLubeDetailId;
    }

    public Long getBillsLubeDetailId()
    {
        return billsLubeDetailId;
    }
    public void setLubeInstanceId(Long lubeInstanceId)
    {
        this.lubeInstanceId = lubeInstanceId;
    }

    public Long getLubeInstanceId()
    {
        return lubeInstanceId;
    }
    public void setDeviceId(Long deviceId)
    {
        this.deviceId = deviceId;
    }

    public Long getDeviceId()
    {
        return deviceId;
    }
    public void setLubeStationId(Long lubeStationId)
    {
        this.lubeStationId = lubeStationId;
    }

    public Long getLubeStationId()
    {
        return lubeStationId;
    }
    public void setLubeStandardId(Long lubeStandardId)
    {
        this.lubeStandardId = lubeStandardId;
    }

    public Long getLubeStandardId()
    {
        return lubeStandardId;
    }
    public void setOperationDescription(String operationDescription)
    {
        this.operationDescription = operationDescription;
    }

    public String getOperationDescription()
    {
        return operationDescription;
    }
    public void setMaintStatus(Long maintStatus)
    {
        this.maintStatus = maintStatus;
    }

    public Long getMaintStatus()
    {
        return maintStatus;
    }
    public void setIsFlag(Long isFlag)
    {
        this.isFlag = isFlag;
    }

    public Long getIsFlag()
    {
        return isFlag;
    }

    public Date getBeginTime() {
        return beginTime;
    }

    public void setBeginTime(Date beginTime) {
        this.beginTime = beginTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }

    public String getDeviceCode() {
        return deviceCode;
    }

    public void setDeviceCode(String deviceCode) {
        this.deviceCode = deviceCode;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public String getLubeStationName() {
        return lubeStationName;
    }

    public void setLubeStationName(String lubeStationName) {
        this.lubeStationName = lubeStationName;
    }

    public String getLubeProtocol() {
        return lubeProtocol;
    }

    public void setLubeProtocol(String lubeProtocol) {
        this.lubeProtocol = lubeProtocol;
    }

    public String getLubeOperationDescription() {
        return lubeOperationDescription;
    }

    public void setLubeOperationDescription(String lubeOperationDescription) {
        this.lubeOperationDescription = lubeOperationDescription;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("billsLubeDetailId", getBillsLubeDetailId())
            .append("lubeInstanceId", getLubeInstanceId())
            .append("deviceId", getDeviceId())
            .append("lubeStationId", getLubeStationId())
            .append("lubeStandardId", getLubeStandardId())
            .append("operationDescription", getOperationDescription())
            .append("maintStatus", getMaintStatus())
            .append("isFlag", getIsFlag())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
